{
  "authentication": {
    "type": "oauth2",
    "crmClientId": "1000.DCMOEV7VHQ4YJ729VFLLV1HPLGD4PG",
    "crmClientSecret": "9d1afc9c16708ac798b6884ed5895a19a7f8b389b6",
    "crmScopes": "ZohoCRM.modules.accounts.all,ZohoCRM.modules.leads.all,ZohoCRM.modules.contacts.all,ZohoCRM.modules.calls.all",
    "crmPhoneTest": "5516920242024"
  },
  "crmRest": [
    {
      "authorizationEndpoint": {
        "request": {
          "requestContentType": "empty",
          "requestEncoding": "empty",
          "requestType": "Get",
          "responseType": "empty",
          "url": "https://accounts.zoho.com/oauth/v2/auth?scope=crmScopes&client_id=crmClientId&response_type=code&access_type=offline&redirect_uri=crmRedirectURI"
        },
        "body": {},
        "response": {}
      }
    },
    {
      "tokenEndpoint": {
        "request": {
          "requestContentType": "none",
          "requestEncoding": "Json",
          "requestType": "Post",
          "responseType": "Json",
          "url": "https://accounts.zoho.com/oauth/v2/token"
        },
        "body": {},
        "response": {}
      }
    },
    {
      "createContactRecord": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Post",
          "responseType": "Json",
          "url": "https://www.zohoapis.com/crm/v5/Contacts"
        },
        "body": {
          "data": [
            {
              "Phone": "crmPhone",
              "Last_Name": "crmLastName"
            }
          ]
        },
        "response": {
          "id": "data.details.id"
        }
      }
    },
    {
      "lookupContactByPhone": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Get",
          "responseType": "Json",
          "url": "https://www.zohoapis.com/crm/v5/Contacts/search?phone=crmPhone"
        },
        "response": {
          "phone": "data.Phone",
          "id": "data.id"
        }
      }
    },
    {
      "callJournaling": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Post",
          "responseType": "Json",
          "url": "https://www.zohoapis.com/crm/v5/Calls"
        },
        "calls": [
          {
            "inboundAnsweredCall": {
              "data": [
                {
                  "Who_Id": {
                    "id": "crmContactId"
                  },
                  "Description": "Ligação recebida",
                  "Call_Start_Time": {
                    "_prop": "crmCallDateTime",
                    "_type": "string",
                    "_format": "ISO8601"
                  },
                  "Subject": "Ligação",
                  "Call_Type": "Inbound",
                  "Outbound_Call_Status": "Completed",
                  "Call_Duration": {
                    "_prop": "crmCallDuration",
                    "_format": "hh:mm",
                    "_type": "string"
                  },
                  "Call_Purpose": "Administrative"
                }
              ]
            }
          },
          {
            "inboundMissedCall": {
              "data": [
                {
                  "Who_Id": {
                    "id": "crmContactId"
                  },
                  "Description": "Inbound missed call",
                  "Call_Start_Time": {
                    "_prop": "crmCallDateTime",
                    "_type": "string",
                    "_format": "ISO8601"
                  },
                  "Subject": "Ligação perdida",
                  "Call_Type": "Inbound",
                  "Call_Purpose": "Administrative"
                }
              ]
            }
          },
          {
            "outboundAnsweredCall": {
              "data": [
                {
                  "Who_Id": {
                    "id": "crmContactId"
                  },
                  "Description": "Outbound answered call",
                  "Call_Start_Time": {
                    "_prop": "crmCallDateTime",
                    "_type": "string",
                    "_format": "ISO8601"
                  },
                  "Subject": "Ligação realizada",
                  "Call_Type": "Outbound",
                  "Outbound_Call_Status": "Completed",
                  "Call_Duration": "crmCallDuration",
                  "Call_Purpose": "Administrative"
                }
              ]
            }
          },
          {
            "outboundUnansweredCall": {
              "data": [
                {
                  "Who_Id": {
                    "id": "crmContactId"
                  },
                  "Description": "Outbound missed call",
                  "Call_Start_Time": {
                    "_prop": "crmCallDateTime",
                    "_type": "string",
                    "_format": "ISO8601"
                  },
                  "Subject": "Ligação perdida",
                  "Call_Type": "Outbound",
                  "Call_Purpose": "Administrative"
                }
              ]
            }
          }
        ],
        "response": {}
      }
    }
  ]
}
